# $Id: $
# Authority: dries
# Upstream: Allen Day <allenday$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Geo-Google

Summary: Perform geographical queries using Google Maps
Name: perl-Geo-Google
Version: 0.05
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Geo-Google/

Source: http://search.cpan.org/CPAN/authors/id/A/AL/ALLENDAY/Geo-Google-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Geo::Google provides access to the map data used by the popular Google Maps 
web application.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/Geo::Google*3*
%dir %{perl_vendorlib}/Geo
%{perl_vendorlib}/Geo/Google.pm
%{perl_vendorlib}/Geo/Google/

%changelog
* Thu Feb 21 2008 Dries Verachtert <dries@ulyssis.org> - 0.05-1 #6165
- Initial package.
